## com.sun.jersey.core.util
Class PriorityUtil.TypeComparator

    java.lang.Object
      com.sun.jersey.core.util.PriorityUtil.TypeComparator

All Implemented Interfaces:
  java.util.Comparator<java.lang.Class<?>>

Enclosing class:
  PriorityUtil

    public static class PriorityUtil.TypeComparator

extends java.lang.Object
implements java.util.Comparator<java.lang.Class<?>>

Comparator for types annotated with Priority annotation.

Constructor Summary
`PriorityUtil.TypeComparator()`

Method Summary
`int` `compare(java.lang.Class<?> o1, java.lang.Class<?> o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### PriorityUtil.TypeComparator

    public PriorityUtil.TypeComparator()

Method Detail

### compare

    public int compare(java.lang.Class<?> o1,
                       java.lang.Class<?> o2)

  Specified by:
    `compare` in interface `java.util.Comparator<java.lang.Class<?>>`

Copyright © 2017 Oracle Corporation. All Rights Reserved.